Class Fox::FXDCPrint

In: | FXDCPrint.rb ../lib/fox/iterators.rb
Parent: | FXDC

Postscript Printer Device Context

Methods

beginPage beginPrint endPage endPrint new

Public Class methods

new(app)

Returns an initialized FXDCPrint instance.

Public Instance methods

endPrint()

Generate print job epilog. See also beginPrint.

endPage()

Generate end of page. See also beginPage.

beginPrint(job) {|theDC| ...}

Begin print session described by job (an FXPrinter instance). If an optional code block is provided, endPrint is automatically called after the block terminates.

beginPage(page=1) {|theDC| ...}

Generate beginning of page (the page number). If an optional code block is provided, endPage is automatically called after the block terminates.